//+------------------------------------------------------------------+
//|                                                i_profit_t101.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Bookkeeper"
#property link      "yuzefovich@gmail.com"
//+------------------------------------------------------------------+
//  :
// VininI_Provit.mq4
// #property copyright "Copyright  2008, Victor Nicolaev"
// #property link      "vinin.ucoz.ru"
//+----
// int start() {
// {
//   int i, t=0;  
//   for (i=0;i<OrdersTotal();i++){
//      if (OrderMagicNumber()!=Magic) continue;
//    t+=OrderProfit();
// }
// Profit[0]=t;
// ProfitMax[0]=MathMax(ProfitMax[1],t);
// ProfitMin[0]=MathMin(ProfitMin[1],t);
// return(0);
// }
//+----
//+------------------------------------------------------------------+
//  :
// 1.   : double,   int - OrderProfit() 
//       ,    .
// 2.          .
// 3.    ,     .
//        ,    .  
//    ProfitMin[]   ,   
//      Profit[]      .
// 4.    ProfitMax[] -     
//        .
// 5.    -    (i_profit_t101).
//                       ,  ,  ! Bookkeeper.
//+------------------------------------------------------------------+
//
#property indicator_separate_window
#property indicator_level1 0
#property indicator_buffers 3
#property indicator_color1 Yellow 
#property indicator_color2 Aqua
#property indicator_color3 Red
//----
extern int Magic=1401;
extern double StopLoss=150;
extern double ProfitForJump=175;
extern double Trail=50;
//----
double Profit[];
double ProfitMax[];
double ProfitMin[];
//----
bool first=true;
datetime prevTime;
double v=0;
//+------------------------------------------------------------------+
int init()
{
   IndicatorBuffers(3);
   SetIndexStyle(0,DRAW_LINE,EMPTY,3);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(0,Profit);
   SetIndexBuffer(1,ProfitMax);
   SetIndexBuffer(2,ProfitMin);
   IndicatorShortName("Profit");
   SetIndexLabel(0,"Profit");
   SetIndexLabel(1,"Max Profit");
   SetIndexLabel(2,"Min Profit");
   return(0);
}
//+------------------------------------------------------------------+
int start()
{
   int i, total;
   double t=0;
   if(first==true)
   {
      for(i=200;i>=0;i--)
      {
         Profit[i]=0.0;
         ProfitMax[i]=0.0;
         ProfitMin[i]=-StopLoss;
      }
      first=false;
   }
   if(prevTime!=Time[0]) v=ProfitMax[1];
   prevTime=Time[0];
   total=OrdersTotal();
   if(total>0)
   {
      for (i=0;i<total;i++)
      {
         if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES)==true)
         {
            if (OrderMagicNumber()!=Magic) continue;
            t=t+OrderProfit();
         }
      }
      v=MathMax(v,t);
      Profit[0]=t;
      ProfitMax[0]=v;
      if(ProfitMax[1]>ProfitForJump) ProfitMin[0]=v-Trail;
      else ProfitMin[0]=-StopLoss;
   }
   else
   {
      Profit[0]=0;
      ProfitMax[0]=0;
      ProfitMin[0]=-StopLoss;
   }
   return(0);
}
//+------------------------------------------------------------------+


